Subject: Re: [PATCH RFC 0/5] powerpc:numa Add serial nid support

From: Raghavendra K T <[email-masked]>
Date: Wed, 30 Sep 2015 00:40:22 +0530

On 09/28/2015 11:04 PM, Nishanth Aravamudan wrote:
> On 27.09.2015 [23:59:08 +0530], Raghavendra K T wrote:
[...]
>>
>> 2) Map the sparse chipid got from device tree to a serial nid at kernel
>> level (The idea proposed in this series).
>> Pro: It is more natural to handle at kernel level than at lower (OPAL) layer.
>> con: The chipid is in device tree no longer the same as nid in kernel
>
> Is there any debugging/logging? Looks like not -- so how does a sysadmin
> map from firmware-provided values to the Linux values? That's going to
> make debugging of large systems (PowerVM or otherwise) less than
> pleasant, it seems? Possibly you could put something in sysfs?

I see 2 things could be done here:

1) while doing dump_numa_cpu_topology() we can dump nid_to_chipid()
as additional information.

2) sysfs->
Does /sys/devices/system/node/nodeX/*chipid* looks good. May be we
should add only for powerpc or otherwise we need to have chipid = nid
populated for other archs. [ I think this change may be done slowly ]